package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 维修项目
 * </p>
 *
 * @author gejiang
 * @since 2023-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="RepairProject对象", description="维修项目")
public class RepairProject extends Model<RepairProject> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "维修项目id")
    @TableId(value = "repair_project_id", type = IdType.ID_WORKER_STR)
    private String repairProjectId;

    @ApiModelProperty(value = "品牌id")
    private String brandId;

    @ApiModelProperty(value = "品牌名称")
    private String brandName;

    @ApiModelProperty(value = "维修项目号")
    private String repairProjectCode;

    @ApiModelProperty(value = "项目描述")
    private String remark;

    @ApiModelProperty(value = "等级划分id")
    private String levelId;

    @ApiModelProperty(value = "等级划分")
    private String levelName;

    @ApiModelProperty(value = "维修项目 SIMPLE=简修 SMALL=小修 MIDDLE=中修 BIG=大修")
    private String repairProjectType;

    @ApiModelProperty(value = "状态 ON=有效 OFF=无效")
    private String status;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "产品类别id")
    private String mainId;


    @Override
    protected Serializable pkVal() {
        return this.repairProjectId;
    }

}
