package com.zfire.jiasm.syncdata.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.text.SimpleDateFormat;

@Service
public class SMSSelfGetArrivedServiceImpl {

	@Autowired
	private JdbcTemplate jdbcTemplate;

	@Transactional(rollbackFor = Exception.class)
	public void insertData(JSONObject datas) throws Exception {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
		JSONArray reports = datas.getJSONArray("reports");
		for (int i = 0; i < reports.size(); i++) {
			JSONObject data = reports.getJSONObject(i);

			String sql = "insert into itf_receive_sms (smsType,fromNum,content,recvTime,"
					+ "dateSent,status,appendCode,action,deliverCode,reqId,smsCount,spCode,subappend) "
					+ "values (?,?,?,?,?,?,?,?,?,?,?,?,?) ";

			Object[] insertValue = new Object[13];
			insertValue[0] = data.getString("smsType");
			insertValue[1] = data.getString("fromNum");
			insertValue[2] = data.getString("content");

			insertValue[3] = sdf.parse(data.getString("recvTime"));

			if (data.containsKey("dateSent")) {
				insertValue[4] = sdf.parse(data.getString("dateSent"));
			} else {
				insertValue[4] = null;
			}

			insertValue[5] = data.getOrDefault("status", "0");
			insertValue[6] = data.getOrDefault("appendCode", "");
			insertValue[7] = data.getString("action");
			insertValue[8] = data.getOrDefault("deliverCode", "");
			insertValue[9] = data.getOrDefault("reqId", "");
			insertValue[10] = data.getOrDefault("smsCount", "0");
			insertValue[11] = data.getOrDefault("spCode", "");
			insertValue[12] = data.getOrDefault("subAppend", "");

			jdbcTemplate.update(sql, insertValue);
		}
	}

}
